summaryrefslogtreecommitdiff
path: root/tests/misc-tests/001-btrfstune-features/test.sh
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.com>2016-10-26 16:41:32 +0200
committerDavid Sterba <dsterba@suse.com>2016-11-09 13:13:37 +0100
commitc8d1c4c7920efea969fedfd6d7b0669832161d22 (patch)
treec57ce99d34a5349b2c3e55a214e29623b71281fe /tests/misc-tests/001-btrfstune-features/test.sh
parent40de2f62793ad54a91755edb301f2609121137e4 (diff)
btrfs-progs: tests: switch to dump- commands from inspect
The dump-super and debug-tree commands are replacements for the standalone tools. Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'tests/misc-tests/001-btrfstune-features/test.sh')
-rwxr-xr-xtests/misc-tests/001-btrfstune-features/test.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/tests/misc-tests/001-btrfstune-features/test.sh b/tests/misc-tests/001-btrfstune-features/test.sh
index c858d701..bfa7f43e 100755
--- a/tests/misc-tests/001-btrfstune-features/test.sh
+++ b/tests/misc-tests/001-btrfstune-features/test.sh
@@ -3,8 +3,6 @@
source $TOP/tests/common
-check_prereq btrfs-debug-tree
-check_prereq btrfs-show-super
check_prereq mkfs.btrfs
check_prereq btrfstune
check_prereq btrfs
@@ -16,7 +14,7 @@ prepare_test_dev
# parameters:
# - option for mkfs.btrfs -O, empty for defaults
# - option for btrfstune
-# - string representing the feature in btrfs-show-super dump
+# - string representing the feature in dump-super output
test_feature()
{
local mkfsfeatures
@@ -28,12 +26,12 @@ test_feature()
sbflag="$3"
run_check $SUDO_HELPER $TOP/mkfs.btrfs -f $mkfsfeatures $TEST_DEV
- if run_check_stdout $TOP/btrfs-show-super $TEST_DEV | \
+ if run_check_stdout $TOP/btrfs inspect-internal dump-super $TEST_DEV | \
grep -q "$sbflag"; then
_fail "FAIL: feature $sbflag must not be set on the base image"
fi
run_check $TOP/btrfstune $tuneopt $TEST_DEV
- if ! run_check_stdout $TOP/btrfs-show-super $TEST_DEV | \
+ if ! run_check_stdout $TOP/btrfs inspect-internal dump-super $TEST_DEV | \
grep -q "$sbflag"; then
_fail "FAIL: feature $sbflag not set"
fi